Delete a fact
DELETE/v2/matches/{matchId}/facts/{factId}
DELETE
/v2/matches/{matchId}/facts/{factId}
const url = 'https://api.ligr.live/rest/v2/matches/1/facts/1';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.ligr.live/rest/v2/matches/1/facts/1 \ --header 'Authorization: Bearer <token>'Delete a fact for a match. This undoes the event the fact recorded.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”matchId
required
Entity identifier
integer format: int32
The match identifier
factId
required
Entity identifier
integer format: int32
The fact identifier
Responses
Section titled “Responses”Ok
Media typeapplication/json
object
success
required
boolean
Examplegenerated
{ "success": true}Request is invalid
Media typeapplication/json
object
message
required
string
details
required
object
key
additional properties
Examplegenerated
{ "message": "example", "details": { "additionalProperty": "example" }}Missing or invalid api key
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Api key provides insufficient access for the request
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Match or fact not found
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Api key has made too many requests
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}An unexpected error has occured. If problems persist please contact support
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}